petsc-3.4.2 2013-07-02

# SNESGetKSP

Returns the KSP context for a SNES solver.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetKSP(SNES snes,KSP *ksp)

Not Collective, but if SNES object is parallel, then KSP object is parallel

### Input Parameter

snes -the SNES context

### Output Parameter

ksp -the KSP context

### Notes

The user can then directly manipulate the KSP context to set various options, etc. Likewise, the user can then extract and manipulate the PC contexts as well.

### Keywords

SNES, nonlinear, get, KSP, context

### See Also

KSPGetPC(), SNESCreate(), KSPCreate(), SNESSetKSP()

Level:beginner
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex10.c.html
src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex1f.F.html